Uygulamayı aç
Moonborn — API · auth

Complete password reset by submitting the token + new password

POST/v1/auth/password-reset/confirmscope · Public (no auth)
Request body
FieldTypeDescription
tokenreqstring
newPasswordreqstring

Responses

200Password updated
410Token expired or already used
Body
FieldTypeDescription
errorreqobject
error.codereqstring
error.messagereqstring
422Invalid token
Body
FieldTypeDescription
errorreqobject
error.codereqstring
error.messagereqstring

Examples

cURL
curl -X POST https://api.moonborn.co/v1/auth/password-reset/confirm \
  -H "Authorization: Bearer $MOONBORN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
      "token": "<string>",
      "newPassword": "<string>"
    }'
TypeScript
import Moonborn from '@moonborn/sdk';

const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });

const result = await client.auth.confirmPasswordReset({
  token: "<string>",
  newPassword: "<string>",
});
Python
import os
from moonborn import Moonborn

client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"])

result = client.auth.confirm_password_reset(
    token="<string>",
    new_password="<string>",
)